Wine 4 présent dans les dépôts de Linux Mint 19.x

La Team développant Linux Mint annonce la disponibilité de Wine 4 directement dans les dépôts de Linux Mint 19.x qu’elle gère.

Qu’est-ce que Wine ?

Pour ceux qui ne connaissent pas, Wine est un utilitaire sous Linux permettant de faire fonctionner certaines applications Windows sous Linux.

Les paquets Wine obsolètes dans les dépôts Ubuntu 18.04

Jusqu’à présent, sous Linux Mint, lorsque vous installez Wine depuis les dépôts officiels, vous l’installiez, comme la plupart des applications depuis en les dépôts de Ubuntu 18.04 Bionic. Mais, la version proposée par Ubuntu Bionic est Wine 3 que ce soit pour les paquets stable en développement.

Paquets Wine dans Ubuntu 18.04

Or, les deux versions proposées sont obsolètes. De plus, elles présentent plusieurs problèmes majeurs :

  • Sur une machine 64 bits, l’installation est incomplète avec plusieurs paquets manquants pour le support des binaires 32 bit de Windows.
  • les binaires Windows (.exe, .msi,…) ne pouvent qu’être exécuté en ligne de commande.
  • Regedit, la configuration de Wine, le disque C:\ et d’autre raccourcis normallement présent dans le menu après installation ne le sont pas…

Alors, pour profiter d’une version plus récente, il fallait aller sur le site WineHQ et suivre leur instructions.

Wine 4 ajouté aux dépôts gérés par Linux Mint

Mais, en ce début de mois de Juin, la Team derrière Linux Mint vient d’ajouter à ses dépôts pour Linux Mint 19 Tara et 19.1 Tessa et versions suivantes, un installeur pour Wine 4, la dernière version stable de l’application. Il s’agit d’un meta paquet nommé wine-installer . Le choix de ce nom permet d’éviter toute confusion et conflit avec les paquets proposés par Ubuntu et WineHQ.

Paquets Wine dans Linux Mint 19.x

Ainsi, plus besoins d’ajouter le dépôt WineHQ. Par contre, pour les anciennes versions de la distribution, il faudra toujours suivre les instructions de WineHQ.

Wine 4 corrige les problèmes cités précédemment et introduit le support pour :

  • Vulkan
  • les contrôleurs de jeu (manettes,…)
  • et Direct3D 12.

Pour aller plus loin

Leave a Comment

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *

Ce site utilise Akismet pour réduire les indésirables. En savoir plus sur comment les données de vos commentaires sont utilisées.